GNU Radio's GSM Package: ViterbiTCH_AFS4_75 Class Reference

GNU Radio's GSM Package

Classes | Public Types | Public Member Functions | List of all members
ViterbiTCH_AFS4_75 Class Reference

`#include <AmrCoder.h>`

Inheritance diagram for ViterbiTCH_AFS4_75:

## Classes
struct | candStruct

## Public Types
typedef struct ViterbiTCH_AFS4_75::candStruct | vCand

## Public Member Functions
void | vitClear (vCand &v)
unsigned | iRate () const
uint32_t | cMask () const
uint32_t | stateTable (unsigned g, unsigned i) const
unsigned | deferral () const
| ViterbiTCH_AFS4_75 ()
void | initializeStates ()
const vCand & | step (uint32_t inSample, const float *probs, const float *iprobs)
Public Member Functions inherited from ViterbiBase
virtual int | getBEC ()
unsigned | applyPoly (uint64_t val, uint64_t poly)
unsigned | applyPoly (uint64_t val, uint64_t poly, unsigned order)

## Detailed Description

Class to represent recursive systematic convolutional coders/decoders of rate 1/5, memory length 6.

## Member Typedef Documentation

## ◆ vCand

typedef struct ViterbiTCH_AFS4_75::candStruct ViterbiTCH_AFS4_75::vCand

A candidate sequence in a Viterbi decoder. The 32-bit state register can support a deferral of 5*order with a 6th-order coder.

## Constructor & Destructor Documentation

## ◆ ViterbiTCH_AFS4_75()

ViterbiTCH_AFS4_75::ViterbiTCH_AFS4_75 | ( |  | ) |

## Member Function Documentation

## ◆ cMask()

uint32_t ViterbiTCH_AFS4_75::cMask | ( |  | ) | const
| inline

## ◆ deferral()

unsigned ViterbiTCH_AFS4_75::deferral | ( |  | ) | const
| inline

References ViterbiTCH_AFS12_2::initializeStates(), and ViterbiTCH_AFS12_2::step().

## ◆ initializeStates()

void ViterbiTCH_AFS4_75::initializeStates | ( |  | ) |

Set all cost metrics to zero.

## ◆ iRate()

unsigned ViterbiTCH_AFS4_75::iRate | ( |  | ) | const
| inline

## ◆ stateTable()

uint32_t ViterbiTCH_AFS4_75::stateTable | ( | unsigned | g,
|  | unsigned | i
| ) |  | const
| inline

## ◆ step()

const vCand& ViterbiTCH_AFS4_75::step | ( | uint32_t | inSample,
|  | const float * | probs,
|  | const float * | iprobs
| ) |  |

Full cycle of the Viterbi algorithm: branch, metrics, prune, select.

Returns
  reference to minimum-cost candidate.

## ◆ vitClear()

void ViterbiTCH_AFS4_75::vitClear | ( | vCand & | v | ) |
| inline

Clear a structure.

References ViterbiTCH_AFS4_75::candStruct::cost, ViterbiTCH_AFS4_75::candStruct::iState, ViterbiTCH_AFS4_75::candStruct::oState, and ViterbiTCH_AFS4_75::candStruct::rState.

The documentation for this class was generated from the following file:

- AmrCoder.h